Inspect one delivery
GET/v1/webhook_deliveries/{id}
Parameters
| Name | In | Description |
|---|---|---|
| idrequired | path |
Example
curl https://api.woyra.io/v1/webhook_deliveries/email_01J... \
-H "Authorization: Bearer $WOYRA_KEY"Response
200 The delivery.
| Field | Type | Description |
|---|---|---|
| object | "webhook_delivery" | |
| id | string | |
| endpoint_id | string | |
| event_id | string | |
| event_type | string | |
| status | string | One of pending, delivered, failed, exhausted. |
| attempts | integer | |
| response_status | integer | |
| response_body | string | Truncated. |
| last_error | string | |
| next_attempt_at | timestamp | |
| delivered_at | timestamp | |
| created_at | timestamp | |
| payload | object |
Errors
| Status | Codes |
|---|---|
| 404 | not_found, product_not_offered |
Also in Webhooks
- GET /v1/webhook_endpoints — List webhook endpoints
- POST /v1/webhook_endpoints — Register a webhook endpoint
- DELETE /v1/webhook_endpoints/{id} — Remove a webhook endpoint
- GET /v1/webhook_deliveries — List webhook deliveries
- POST /v1/webhook_deliveries/{id}/replay — Send a delivery again
- POST /v1/webhook_endpoints/{id}/release — Take an endpoint out of quarantine